import "./styles.sass";
import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {faGear, faPalette} from "@fortawesome/free-solid-svg-icons";
import DesignItem from "@/states/Manage/pages/ManageChannel/components/DesignItem/index.js";

export const ManageChannel = () => {
    return (
        <div className="manage-channel">
            <div className="manage-section">

                <FontAwesomeIcon icon={faGear} />
                <h1>Settings</h1>
            </div>

            <div className="settings-box">
                <div className="setting-info">
                    <h2>Language</h2>
                    <p>Which language should be chosen for this channel?</p>
                </div>
                <select>
                    <option>English</option>
                    <option>Deutsch</option>
                </select>
            </div>

            <div className="settings-box">
                <div className="setting-info">
                    <h2>Topic</h2>
                    <p>What is this channel about?</p>
                </div>
                <select>
                    <option>Just Chatting</option>
                    <option>Gaming</option>
                    <option>Coding</option>
                    <option>Anime</option>
                </select>
            </div>

            <div className="manage-section">
                <FontAwesomeIcon icon={faPalette} />
                <h1>Design</h1>
            </div>

            <div className="design-container">

                <DesignItem name="Default" coins="500" perks={[]} />

            </div>
        </div>
    );
}